G2::FittingParameter Class Reference

Analytical term-structure fitting parameter \( \varphi(t) \). More...

`#include <ql/models/shortrate/twofactormodels/g2.hpp>`

Inheritance diagram for G2::FittingParameter:
[legend]

## Public Member Functions

| FittingParameter (const Handle< YieldTermStructure > &termStructure, Real a, Real sigma, Real b, Real eta, Real rho)
Public Member Functions inherited from TermStructureFittingParameter
| TermStructureFittingParameter (const ext::shared_ptr< Parameter::Impl > &impl)
| TermStructureFittingParameter (const Handle< YieldTermStructure > &term)
Public Member Functions inherited from Parameter
const Array & | params () const
void | setParam (Size i, Real x)
bool | testParams (const Array &params) const
Size | size () const
Real | operator() (Time t) const
const ext::shared_ptr< Impl > & | implementation () const
const Constraint & | constraint () const

## Additional Inherited Members

Protected Member Functions inherited from Parameter
| Parameter (Size size, const ext::shared_ptr< Impl > &impl, const Constraint &constraint)
Protected Attributes inherited from Parameter
ext::shared_ptr< Impl > | impl_
Array | params_
Constraint | constraint_

## Detailed Description

Analytical term-structure fitting parameter \( \varphi(t) \).

\( \varphi(t) \) is analytically defined by

\[ \varphi(t) = f(t) + \frac{1}{2}(\frac{\sigma(1-e^{-at})}{a})^2 + \frac{1}{2}(\frac{\eta(1-e^{-bt})}{b})^2 + \rho\frac{\sigma(1-e^{-at})}{a}\frac{\eta(1-e^{-bt})}{b}, \]

where \( f(t) \) is the instantaneous forward rate at \( t \).